Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232466 - nfs hangs
Summary: nfs hangs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils
Version: 5
Hardware: i386
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 17:12 UTC by M.T
Modified: 2008-08-02 23:40 UTC (History)
2 users (show)

Fixed In Version: Fedora 8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-04 12:44:02 UTC


Attachments (Terms of Use)
errors from server (deleted)
2007-03-15 17:12 UTC, M.T
no flags Details

Description M.T 2007-03-15 17:12:20 UTC
Description of problem:

We run a file server with FC5,which hosts the home dirs of students. The
filesystem is of type xfs and it is exported to many clients (clients are FC5,
FC4,FC3). When users are trying to login to the clients, the clients are
freezing, randomly, with no any reasons. This can also happen while the users
are already login.

Our server and clients, are fully updated, with the latest version of kernel and
nfs-utils etc...

Please find also attached a file with some errors produced only once from the
server. I hope this help!!

Please also note that clients are mounting the filesystem through nis maps -
(autofs is running on clients).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 M.T 2007-03-15 17:12:20 UTC
Created attachment 150143 [details]
errors from server

Comment 2 M.T 2007-03-16 21:02:04 UTC
Please also note that we have noticed that lockd service usually "dies" after 
running for a while.

Below you will find errors producing by clients¨:

Mar 16 12:59:11 cs4054 kernel: lockd: failed to monitor csfs7
Mar 16 12:59:41 cs4054 kernel: lockd: cannot monitor csfs7
Mar 16 12:59:41 cs4054 kernel: lockd: failed to monitor csfs7
Mar 16 13:00:11 cs4054 kernel: lockd: cannot monitor csfs7
Mar 16 13:00:11 cs4054 kernel: lockd: failed to monitor csfs7
Mar 16 13:00:42 cs4054 kernel: lockd: cannot monitor csfs7
Mar 16 13:00:42 cs4054 kernel: lockd: failed to monitor csfs7
Mar 16 13:01:12 cs4054 kernel: lockd: cannot monitor csfs7
Mar 16 13:01:12 cs4054 kernel: lockd: failed to monitor csfs7
Mar 16 13:01:42 cs4054 kernel: lockd: cannot monitor csfs7
Mar 16 13:01:42 cs4054 kernel: lockd: failed to monitor csfs7

cs4054 is the hostname of a client and csfs7 is an alias name  for the server

Comment 3 M.T 2007-03-18 20:17:58 UTC
Any news? 
Please  note that we need to resolve this problem as soon as possible.

Comment 4 Bug Zapper 2008-04-04 06:32:44 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.